List Customers

Returns a list of your customers. The customers are returned sorted by creation date, with the most recent customers appearing first.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/customers
curl https://api.paypercut.io/v1/customers \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "email": null,
      "name": null,
      "phone": null,
      "preferred_locales": [
        "string"
      ],
      "address": {
        "city": null,
        "country": null,
        "line1": null,
        "line2": null,
        "postal_code": null,
        "state": null
      },
      "invoice_settings": {
        "default_payment_method": "01K688H80Z3199KETHDJ4ZAFPS"
      },
      "created": "2026-04-03T12:46:07.666Z",
      "livemode": true,
      "id": "string",
      "payment_methods": [
        {
          "type": "card",
          "card": {
            "cardholder_name": null,
            "brand": "string",
            "country": null,
            "issuer": null,
            "display_brand": null,
            "exp_month": 1,
            "exp_year": 1,
            "fingerprint": null,
            "funding": "string",
            "segment": "string",
            "iin": "string",
            "last4": "string",
            "wallet": {
              "dynamic_last4": null,
              "type": "apple_pay"
            },
            "three_d_secure_usage": {
              "supported": true
            }
          },
          "billing_details": {
            "email": null,
            "name": null,
            "phone": null,
            "address": {
              "city": null,
              "country": null,
              "line1": null,
              "line2": null,
              "postal_code": null,
              "state": null
            }
          },
          "metadata": {
            "additionalProperty": "string"
          },
          "customer": "string",
          "id": "string",
          "livemode": true,
          "created": "2026-04-03T12:46:07.666Z"
        }
      ]
    }
  ],
  "last_key": "string"
}